summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Rodney Cobb <rdc@ktabic.co.uk>2010-05-11 20:02:07 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:02:07 +0200
commitaa92a90fdf12638da621726319d09268fca79d99 (patch)
treef0419ba147b4d70830722d5cd8eae5897e00ed66
parentb0998ac787125b6d74033ea984116c02e9e89162 (diff)
downloadslackbuilds-aa92a90fdf12638da621726319d09268fca79d99.tar.gz
slackbuilds-aa92a90fdf12638da621726319d09268fca79d99.tar.xz
system/qdu: Added to 12.0 repository
-rw-r--r--system/qdu/README6
-rw-r--r--system/qdu/qdu.SlackBuild77
-rw-r--r--system/qdu/qdu.info8
-rw-r--r--system/qdu/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/system/qdu/README b/system/qdu/README
new file mode 100644
index 0000000000..de358c7724
--- /dev/null
+++ b/system/qdu/README
@@ -0,0 +1,6 @@
+QT Disk Usage
+
+qdu is a graphical disk usage utility based on Qt. It lets you find which
+directories occupy the largest disk space at a glance. Folders can be open
+to get a detailed view. You can apply file filters to focus on specific
+file types. File deletion is also possible (files are simply moved).
diff --git a/system/qdu/qdu.SlackBuild b/system/qdu/qdu.SlackBuild
new file mode 100644
index 0000000000..1b29b681fd
--- /dev/null
+++ b/system/qdu/qdu.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Copyright 2008 by ktabic (rdc@ktabic.co.uk)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+
+# Modified by the SlackBuilds.org Project
+
+PRGNAM=qdu
+VERSION=2.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+sed -i -e 's:directoryview:directoryView:g' qduInterface.ui
+
+qmake
+make
+
+mkdir -p $PKG/usr/bin
+cp qdu $PKG/usr/bin
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -name "*.?" -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG README $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/qdu/qdu.info b/system/qdu/qdu.info
new file mode 100644
index 0000000000..1f41f1f7c7
--- /dev/null
+++ b/system/qdu/qdu.info
@@ -0,0 +1,8 @@
+PRGNAM="qdu"
+VERSION="2.2"
+HOMEPAGE="http://artis.imag.fr/Members/Gilles.Debunne/Code/QDU/"
+DOWNLOAD="http://artis.imag.fr/Members/Gilles.Debunne/Code/QDU/qdu-2.2.tar.gz"
+MD5SUM="a13cac21d9d89980265f56e386a7467d"
+MAINTAINER="Rodney Cobb"
+EMAIL="rdc@ktabic.co.uk"
+APPROVED="David Somero"
diff --git a/system/qdu/slack-desc b/system/qdu/slack-desc
new file mode 100644
index 0000000000..16afd4db21
--- /dev/null
+++ b/system/qdu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qdu: QDU (graphical disk usage tool)
+qdu:
+qdu: QDU is a graphical disk usage tool. It lets you know very easily
+qdu: which directories and files are consuming the most disk space. You
+qdu: can easily delete or move files. This project was formerly known as
+qdu: "xdu".
+qdu:
+qdu:
+qdu:
+qdu:
+qdu: